MoreStruct::Pattern Struct Reference

`#include <MoreParser.hxx>`

## Public Member Functions

| Pattern ()
| constructor

## Public Attributes

unsigned char | m_pattern [8]
| the pattern
MWAWColor | m_frontColor
| the front color
MWAWColor | m_backColor
| the back color

## Friends

std::ostream & | operator<< (std::ostream &o, Pattern const &pat)
| operator<<

## Constructor & Destructor Documentation

## Pattern()

MoreStruct::Pattern::Pattern | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Pattern const & | pat )

friend

operator<<

## Member Data Documentation

## m_backColor

MWAWColor MoreStruct::Pattern::m_backColor

the back color

Referenced by operator<<, Pattern(), and MoreParser::readPattern().

## m_frontColor

MWAWColor MoreStruct::Pattern::m_frontColor

the front color

Referenced by operator<<, Pattern(), and MoreParser::readPattern().

## m_pattern

unsigned char MoreStruct::Pattern::m_pattern[8]

the pattern

Referenced by operator<<, Pattern(), and MoreParser::readPattern().

The documentation for this struct was generated from the following file:

- MoreParser.hxx